---
import { Icon } from 'astro-icon';
import { getHomePermalink, getRelativeLink } from '~/utils/permalinks';

const links = [
	{
		title: 'Unity',
		items: [
			{ title: 'Introduction', href: '/#' },
			{ title: 'Features', href: '/#features' },
			{ title: 'Distributions', href: '/#distros' },
			{ title: 'Promotion', href: '/#promo' },
			{ title: 'Blog', href: '/blog' },
		],
	},
	{
		title: 'Ubuntu Unity',
		items: [
			{ title: 'Press', href: 'https://ubuntuunity.org/press' },
			{ title: 'Team', href: 'https://ubuntuunity.org/team' },
			{ title: 'Blog', href: 'https://ubuntuunity.org/blog' },
			{ title: 'Forum/Discourse', href: 'https://discourse.ruds.io/c/ubuntu-unity/5' },
		],
	},
	{
		title: 'Support',
		items: [
			{ title: 'Telegram Group', href: 'https://t.me/ubuntuunitydiscuss' },
			{ title: 'Telegram Channel', href: 'https://t.me/ubuntuunityannouncements' },
			{ title: 'Discord Server', href: 'https://discord.gg/JZryxUMGZf' },
			{ title: 'Matrix', href: 'https://matrix.to/#/#ubuntuunity:matrix.org' },
		],
	},
];

const social = [
	{ label: 'Twitter', icon: 'tabler:brand-twitter', href: 'https://twitter.com/ubuntu_unity' },
	{ label: 'Telegram', icon: 'tabler:brand-telegram', href: 'https://t.me/ubuntuunitydiscuss' },
	{ label: 'Discord', icon: 'tabler:brand-discord', href: 'https://discord.gg/JZryxUMGZf' },
	{ label: 'RSS', icon: 'tabler:rss', href: getRelativeLink('/rss.xml') },
	{ label: 'GitLab', icon: 'tabler:brand-gitlab', href: 'https://gitlab.com/ubuntu-unity' },
];
---

<footer class="border-t border-gray-200 dark:border-slate-800">
	<div class="max-w-6xl mx-auto px-4 sm:px-6">
		<div class="grid grid-cols-12 gap-4 gap-y-8 sm:gap-8 py-8 md:py-12">
			<div class="col-span-12 lg:col-span-4">
				<div class="mb-2">
					<a class="inline-block font-bold text-xl" href={getHomePermalink()}>Unity</a>
				</div>
				<div class="text-sm text-gray-600">
					<a
						class="text-gray-600 hover:text-gray-700 dark:text-gray-400 hover:underline transition duration-150 ease-in-out"
						href="/#distros">Try Unity</a
					> ·
					<a
						class="text-gray-600 hover:text-gray-700 dark:text-gray-400 hover:underline transition duration-150 ease-in-out"
						href="#">Back to the top</a
					>
				</div>
			</div>
			{
				links.map(({ title, items }) => (
					<div class="col-span-6 md:col-span-3 lg:col-span-2">
						<div class="text-gray-800 dark:text-gray-300 font-medium mb-2">{title}</div>
						{items && Array.isArray(items) && items.length > 0 && (
							<ul class="text-sm">
								{items.map(({ title, href }) => (
									<li class="mb-2">
										<a
											class="text-gray-600 hover:text-gray-700 hover:underline dark:text-gray-400 transition duration-150 ease-in-out"
											href={href}
										>
											{title}
										</a>
									</li>
								))}
							</ul>
						)}
					</div>
				))
			}
			<div class="col-span-6 md:col-span-3 lg:col-span-2">
				<div class="text-gray-800 dark:text-gray-300 font-medium mb-2">About Unity</div>
					<ul class="text-sm text-gray-600 dark:text-gray-400">
						Unity is a desktop platform, based on technologies such as Nux, GTK and Compiz.
					</ul>
			</div>
		</div>
		<div class="md:flex md:items-center md:justify-between py-6 md:py-8">
			<ul class="flex mb-4 md:order-1 -ml-2 md:ml-4 md:mb-0">
				{
					social.map(({ label, href, icon }) => (
						<li>
							<a
								class="text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 rounded-lg text-sm p-2.5 inline-flex items-center"
								aria-label={label}
								href={href}
							>
								<Icon name={icon} class="w-5 h-5" />
							</a>
						</li>
					))
				}
			</ul>

			<div class="text-sm text-gray-700 mr-4 dark:text-slate-400">
				<span
					class="w-5 h-5 md:w-6 md:h-6 md:-mt-0.5 bg-cover mr-1.5 float-left rounded-sm bg-[url(/favicon.svg)]"
				>
				</span>
				Made by <a class="text-blue-600 hover:underline dark:text-gray-200" href="/#">the Unity team</a> ·
				All rights reserved.
			</div>
		</div>
	</div>
</footer>
